# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "mercurys"
version = "0.0.3"
authors = ["Rayan Morel <celestial4498@gmail.com>"]
build = false
exclude = [
    "target/",
    "Cargo.lock",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Mercury celestial simulation crate for the MilkyWay SolarSystem workspace"
homepage = "https://celestial4498-prog.github.io/Celestial/"
documentation = "https://docs.rs/mercurys"
readme = "README.md"
keywords = [
    "mercury",
    "simulation",
    "astronomy",
    "physics",
    "celestial",
]
categories = [
    "science",
    "simulation",
]
license = "MIT"
repository = "https://github.com/celestial4498-prog/Mercurys"

[lib]
name = "mercurys"
path = "src/lib.rs"

[[bin]]
name = "mercurys"
path = "src/main.rs"

[[example]]
name = "climate_sim"
path = "examples/climate_sim.rs"

[[example]]
name = "earthquake_sim"
path = "examples/earthquake_sim.rs"

[[example]]
name = "tidal_sim"
path = "examples/tidal_sim.rs"

[[test]]
name = "atmosphere_tests"
path = "tests/atmosphere_tests.rs"

[[test]]
name = "biosphere_tests"
path = "tests/biosphere_tests.rs"

[[test]]
name = "geodata_tests"
path = "tests/geodata_tests.rs"

[[test]]
name = "geology_tests"
path = "tests/geology_tests.rs"

[[test]]
name = "hydrology_tests"
path = "tests/hydrology_tests.rs"

[[test]]
name = "lighting_tests"
path = "tests/lighting_tests.rs"

[[test]]
name = "physics_tests"
path = "tests/physics_tests.rs"

[[test]]
name = "rendering_tests"
path = "tests/rendering_tests.rs"

[[test]]
name = "satellites_tests"
path = "tests/satellites_tests.rs"

[[test]]
name = "temporal_tests"
path = "tests/temporal_tests.rs"

[[test]]
name = "terrain_tests"
path = "tests/terrain_tests.rs"

[dependencies.sciforge]
version = "0.0.2"
